Protocols reference
===================

:mod:`artiq.protocols.asyncio_server` module
--------------------------------------------

.. automodule:: artiq.protocols.asyncio_server
    :members:


:mod:`artiq.protocols.pyon` module
----------------------------------

.. automodule:: artiq.protocols.pyon
    :members:


:mod:`artiq.protocols.pc_rpc` module
------------------------------------

.. automodule:: artiq.protocols.pc_rpc
    :members:


:mod:`artiq.protocols.fire_and_forget` module
---------------------------------------------

.. automodule:: artiq.protocols.fire_and_forget
    :members:


:mod:`artiq.protocols.sync_struct` module
-----------------------------------------

.. automodule:: artiq.protocols.sync_struct
    :members:
